Create Language Metadata for Rewards

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to create language metadata for rewards.

Prerequisites

  • Authentication: Basic or OAuth credentials
  • Default access group

Resource information

URI/api_gateway/rewards/core/v1/metadata/language/create
HTTP MethodPOST
PaginationNA
Batch supportNA
Rate limit informationNA

Sample API cURL

curl --location 'https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/metadata/language/create' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--header 'Authorization: Basic Z2VvcmdlLmpvaG5zb246OTg4OTU2NWI4OVhMmY4ZWE1MTk1MjA2NWEwYTEzNzg=' \
--header 'Cookie: _cfuvid=Vo40i2sQt2b9D_BbvyU32Wbvu39g2t0iystT.W9RDJ0-1751522911573-0.0.1.1-604800000' \
--data '{
    "code" : "EN_DOC",
    "name" : "English"
}'

Request body parameters

ParameterData typeDescription
codestringAny unique identifier representing the language.
namestringThe name of the language.

Response parameters

ParameterData typeDescription
statusobjectIndicates the status of the operation
successbooleanIndicates whether the operation was successful
codeintegerA code representing the status of the operation.
messagestringA message providing additional information about the operation.
languageobjectContains details about the language that was saved
codestringUnique code representing the language.
namestringIndicates name of the language.
enabledbooleanIndicates whether the language is enabled or not

{
    "status": {
        "success": true,
        "code": 2102,
        "message": "Language save successfully"
    },
    "language": {
        "code": "EN_DO9",
        "name": "English",
        "enabled": true
    }
}

API error codes

CodeDescriptionReason
2107Language already existsLanguage with the same name already exists.
Body Params

Request body

string
required
string
required
Headers
string
string
string
Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json